testing::internal::edit_distance Namespace Reference

## Enumerations

enum | EditType { kMatch, kAdd, kRemove, kReplace }

## Functions

GTEST_API_ std::vector< EditType > | CalculateOptimalEdits (const std::vector< size_t > &left, const std::vector< size_t > &right)
GTEST_API_ std::vector< EditType > | CalculateOptimalEdits (const std::vector< std::string > &left, const std::vector< std::string > &right)
GTEST_API_ std::string | CreateUnifiedDiff (const std::vector< std::string > &left, const std::vector< std::string > &right, size_t context=2)

## Enumeration Type Documentation

## EditType

enum testing::internal::edit_distance::EditType

Enumerator
kMatch |
kAdd |
kRemove |
kReplace |

Definition at line 6605 of file gtest.h.

## Function Documentation

## CalculateOptimalEdits() [1/2]

GTEST_API_ std::vector<EditType> testing::internal::edit_distance::CalculateOptimalEdits | ( | const std::vector< size_t > & | left,
|  | const std::vector< size_t > & | right
| ) |  |

## CalculateOptimalEdits() [2/2]

GTEST_API_ std::vector<EditType> testing::internal::edit_distance::CalculateOptimalEdits | ( | const std::vector< std::string > & | left,
|  | const std::vector< std::string > & | right
| ) |  |

## CreateUnifiedDiff()

GTEST_API_ std::string testing::internal::edit_distance::CreateUnifiedDiff | ( | const std::vector< std::string > & | left,
|  | const std::vector< std::string > & | right,
|  | size_t | context = `2`
| ) |  |